import logging

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

from mapwocgui.lib.base import BaseController, render

log = logging.getLogger(__name__)

class AccountController(BaseController):

    def signin(self):
        if not request.environ.get('REMOTE_USER'):
            abort(401)
        else:
            return render('/account/signedin.mako')

    def signout(self):
        request.environ['paste.auth_tkt.logout_user']()
        return render('/account/signedout.mako')

    def manage(self):
        # TODO: implement
        return render('/account/manage.mako')
