"""Helper functions

Consists of functions to typically be used within templates, but also
available to Controllers. This module is available to templates as 'h'.
"""
# Import helpers as desired, or define your own, ie:
#from webhelpers.html.tags import checkbox, password
from webhelpers.html.tags import *
from formbuild.helpers import field
from formbuild import start_with_layout as form_start, end_with_layout as form_end
from routes import url_for
from webhelpers.pylonslib import Flash as _Flash
from authkit.permissions import ValidAuthKitUser
from authkit.authorize.pylons_adaptors import authorized

from cpehelpers import os_img_for_hc, browser_img_for_hc
from resulthelpers import resultcolor, severitycolor

# Instantiate Objects
is_valid_user = ValidAuthKitUser()
flash = _Flash()
