<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Details of Node %s") % c.nodename}</%def>

<%def name="node_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />

${box_start(_(u"Node Details of %s") % c.node.name)}
<table>
 <tr><td>${_(u"Name:")}</td><td>${c.node.name}</td></tr>
 <tr><td>${_(u"Description:")}</td><td>${c.node.description}</td></tr>
 <tr><td>State:</td><td>${c.nodestate['']}</td></tr>
</table>
${box_end()}

${box_start(_(u"List of available HCs"))}
<ul>
%for hc in c.hcs:
  %if c.node.key in hc.on_nodes:
     <li>${h.link_to(hc.hcsid, h.url_for(controller='hc',action='show',id=hc.hcsid))}
        <%doc>
        [${h.link_to('Start', h.url_for(controller='node',action='start_hc',id=hc.hcsid,dst=c.nodename))}]</li>
        </%doc>
  %endif
%endfor
</ul>

<br/>
${box_end()}

${box_start(_(u"List of running HCs"))}
%if len(c.node_runlist) > 0:
<ul>
%for hc in c.node_runlist:
  %if len(hc) >0:
    <li>${hcsid_link_to_hcsid(hc)}</li>
  %endif
%endfor
%else:
${_(u"No HCs running on this node.")}
%endif
</ul>

${box_end()}

