<%inherit file="../base.mako"/>
<%def name="title()">${_(u"State of the Redirector")}</%def>

<%def name="redirector_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />

${box_start(_(u"Redirector"))}
 <table>
   <tr><td>${_(u"State")}:</td><td>${c.redirectorproxy_state}</td></tr>
 </table>
${box_end()}

${box_start(_(u"Progress in URL List"))}
 <div class="progressbar_box">
  <div class="progressbar_bar" style="background-position: ${-150 + 1.5*c.redirectorproxy_percentage}px 0px;">${c.redirectorproxy_percentage}% (${_(u"%d of %d") % (c.redirector_state['n_urls_served'], c.redirector_state['n_urls'])})
</div>
 </div>
${box_end()}

${box_start(_(u"Last %d URLs") % c.redirector_state['n_last_urls'])}
  %if len(c.redirectorproxy_last_urls) == 0:
    ${_(u"No URLs were served yet.")}
  %else:
    <ul>
    %for rv in c.redirectorproxy_last_urls:
      <li>${rv.url} <img src="/img/arrow_right.png" alt="&rarr;" /> ${hcsid_link_to_hcsid(rv.hcsid)}
     <%
     import datetime
     visit_timestamp = datetime.datetime.fromtimestamp(float(rv.date))
     context.write(visit_timestamp.strftime("%H:%M:%S"))
     %>
      </li>
    %endfor
    </ul>
  %endif
${box_end()}

${box_start(_(u"Next %d URLs") % c.redirector_state['n_next_urls'])}
  <ul>
  %for url in c.redirectorproxy_next_urls:
    %if len(url) > 0:
      <li>${url}</li>
    %endif
  %endfor
  </ul>
  ${_(u"%s URLs remaining " % c.redirectorproxy_nrremaining)}
${box_end()}

