<%inherit file="../base.mako"/>
<%def name="title()">${_(u"URL Details")}</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="name_link_to_urllist" />

${box_start(_(u"URL Details"))}
<h3>${_(u"Full URL")}</h3>
${c.url.url}

<h3>${_(u"Contained in URL-Lists")}</h3>
%if len(c.urllist_paginator):
 <p>${c.urllist_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
 <ul>
  %for ul in c.urllist_paginator:
   <li> ${h.link_to(ul.name, h.url_for(controller="urllist",action="view",id=ul.id))} </li>
  %endfor
 </ul>
 ${c.urllist_paginator.pager('~2~')}
%else:
 ${_(u"Not contained in any URL-List.")}
%endif

<h3>${_(u"Associated Results")}</h3>
%if len(c.visit_paginator):
 <p>${c.visit_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
 <ul>
  %for r in c.visit_paginator:
   <li> ${h.link_to(r.date, h.url_for(controller='result',action='view_visit',id=r.id))} </li>
  %endfor
 </ul>
 ${c.visit_paginator.pager('~2~')}
%else:
 ${_(u"Not associated to any Result yet.")}
%endif
${box_end()}

