import logging

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect
import mapwocgui.lib.helpers as h 

from mapwocgui.lib.base import BaseController, render

log = logging.getLogger(__name__)

class SettingsController(BaseController):

    def set_lang(self, id):
        session['lang'] = id
        session.save()
        # Redirect
        response.status_int = 302
        response.headers['location'] = h.url_for(controller='state', action='index')
        return "Moved temporarily" 

    def index(self):
        return 'Hello World'
