<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Details of HoneyClient")}</%def>

<%def name="hc_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="hc_icon" />

${box_start(_(u"Details of %s") % c.hc.hcsid )}
<table>
  <caption>${hc_icon(c.hc.hcsid)}</caption>
  <tr><td>${_(u"Name:")}</td><td>${c.hc.name}</td></tr>
  <tr><td>${_(u"hcsid:")}</td><td>${c.hc.hcsid}</td></tr>
  <tr><td>${_(u"Description:")}</td><td>${c.hc.description}</td></tr>
  <tr><td>${_(u"Active Browser:")}</td><td>${c.hc.active_browser}</td></tr>
  <tr><td>${_(u"Operating System:")}</td><td>${c.hc.os}</td></tr>

  %if len(c.hc.installed_software):
    <tr>
      <td valign="top">${_(u"Installed Software:")}</td>
      <td>${c.hc.installed_software[0]}
      %if len(c.hc.installed_software) > 1:
        %for cpe in c.hc.installed_software[1:]:
          <br/>${cpe}
        %endfor
      %endif
      </td>
    </tr>
  %else:
    ${_("No information about installed software found.")}
  %endif
  <tr><td>${_(u"RAM:")}</td><td>${c.hc.image_memory}m</td></tr>
</table>
<h4>${_(u"On Nodes:")}</h4>
<ul>
 %for nodekey in c.hc.on_nodes:
  <li>${h.link_to(nodekey, h.url_for(controller='node',action='view',id=nodekey))}</li>
 %endfor
</ul>
</table>
${box_end()}

