<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Result")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />


${box_start(_(u"Single Finding Details - General"))}
 <table>
  <tr>
    <td>${_(u"URL")}</td>
    <td>${c.result.url}</td>
  </tr>
  <tr>
    <td>${_(u"Time")}</td>
    <td>
    <%
      from time import ctime
      context.write(c.result.date.strftime("%d.%m.%Y - %H:%M:%S")+"Z")
    %>
    </td>
  </tr>
  <tr>
    <td>${_(u"HoneyClient")}</td>
    <td>
      ${hc_icon(c.hc.hcsid)}
      ${c.hc.name}
      ${hcsid_link_to_hcsid(c.hc.hcsid)}
    </td>
  </tr>
  <tr>
    <td>${_(u"Type")}</td>
    <td>${c.result.result_type.type_name}</td>
  </tr>
  <tr>
    <td>${_(u"Severity")}</td>
    <td style="background-color:${h.resultcolor(c.result)}">${c.result.result_type.severity}</td>
  </tr>
  <tr>
    <td>${_(u"Method")}</td>
    <td>${c.result.method}</td>
  </tr>
  %if c.visit.outgoingIp:
  <tr>
    <td>${_(u"Outgoing IP")}</td>
    <td>${c.visit.outgoingIp}</td>
  </tr>
  %endif
 </table>
${box_end()}

${box_start(_(u"Result Details - General"))}
 %if c.result.text:
  ${c.result.text}
 %else:
  ${_(u"No further information.")}
 %endif
 %if c.result.ip:
  <h3>${_(u"IP")}</h3>
  ${c.result.ip}
 %endif
 %if c.result.iframe:
  <h3>${_(u"IFrame")}</h3>
  ${c.result.iframe}
 %endif
 %if c.result.result_file:
  <h3>${_(u"File")}</h3>
  ${c.result_file}
 %endif
${box_end()}

${box_start(_(u"Actions"))}
 ${h.link_to(_(u"See All Findings of this Visit"),
    h.url_for(controller='result',action='view_visit', id=c.result.visit.id)) }
%if c.result.visit.filepath:
 ${h.link_to(_(u"Download PCAP"),
    h.url_for(controller='result',action='send_dump', id=c.result.visit.id)) }
 ${h.link_to(_(u"Download Extracts"),
     h.url_for(controller='result',action='send_tarball',id=c.result.visit.id))}
%endif
${box_end()}

