<%inherit file="../base.mako"/>
<%def name="title()">${_(u"URL Lists")}</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="column50" />
<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="name_link_to_urllist" />

<%add_urllist_title = _(u"Add URL List")%>
<%self:box title="${add_urllist_title}">
<div>
<%self:column50>
<h2>${_("Manually enter URLs")}</h2>
<%self:columnsection>
${h.form_start(h.url_for(controller='urllist', action='create'), method="post")}
 ${h.field(_(u"Name"), h.text(name='URLListName', size=35))}
 ${h.field(_(u"Comment"), h.text(name='URLListComment', size=35))}
 <br>
 ${h.field(_(u"URLs"), h.textarea(name='URLsText', rows=10, cols=60))}
 ${h.field(field=h.submit(value=_(u"Create URL List"), name='submit'))}
${h.form_end()}
</%self:columnsection>
</%self:column50>

<%self:column50>
<h2>${_(u"Upload URL List")}</h2>
<%self:columnsection>
${h.form_start(h.url_for(controller='urllist', action='upload'), multipart=True, method="post")}
 ${h.field(_(u"Name"), h.text(name='URLListUploadName', size=35))}
 ${h.field(_(u"Comment"), h.text(name='URLListUploadComment', size=35))}
 ${h.field(_(u"File"),h.file('URLListFile'))}
 ${h.field(field=h.submit(value=_(u"Upload File"), name='submit_file'))}
${h.form_end()}
</%self:columnsection>
</%self:column50>

</div>
<br clear="all" />
</%self:box>

<%available_urllists_title = _(u"Available URL Lists")%>
<%self:box title="${available_urllists_title}">
%if len(c.urllist_paginator):
 <p>${c.urllist_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
 <table class="mw_table">
  <th>${_(u"Name")}</th><th>${_(u"# URLs")}</th>
  %for ul in c.urllist_paginator:
    <tr><td>${name_link_to_urllist(ul)}</td><td>${_(u"with")} ${str(len(ul.urls))} ${_(u"URLs")}</td></tr>
  %endfor
 </table>
 ${c.urllist_paginator.pager('~2~')}
%else:
 ${_(u"No URL-Lists defined, yet.")}
%endif
</%self:box>
