<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Details of URL List")}</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"URL-List %s") % c.urllist.name)}
% if c.urllist.date:
${_(u"Created:")}
    <%
    import datetime
    date = c.urllist.date
    timestamp = date.strftime(_("%a, %d %b %Y %H:%M:%S"))
    context.write(str(timestamp))
    %>
<br/>
% endif
% if c.urllist.comment:
${_(u"Comment: %s") % c.urllist.comment}
<br/>
% endif

<h4>${_("URLs within this list:")}</h4>
 <p>${c.url_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
 <ul>
  %for ul in c.url_paginator:
   <li> ${h.link_to(ul.url, h.url_for(controller="url",action="view",id=ul.id))} ${h.link_to('['+_(u"Results")+']', h.url_for(controller="result",action='by_url',id=ul.id))}
   </li>
  %endfor
 </ul>
 ${c.url_paginator.pager('~2~')}
 <br />
${h.link_to(_("Delete URL-List"), h.url_for(controller='urllist',action='delete',id=c.urllist.id))}
${box_end()}

